sayren Docs
Order items

Hold

POST
/v1/order-items/{orderItemId}/hold
AuthorizationBearer <token>

userToken(계정 스코프) 또는 storeToken(스토어 스코프)

In: header

Path Parameters

orderItemId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

reason*string

Value in

  • "OUT_OF_STOCK"
  • "CUSTOMER_REQUEST"
  • "CUSTOMS"
  • "ETC"
detail?string
Lengthlength <= 500
expectedDispatchDate*string

Response Body

application/json

curl -X POST "https://example.com/v1/order-items/string/hold" \  -H "Content-Type: application/json" \  -d '{    "reason": "OUT_OF_STOCK",    "expectedDispatchDate": "string"  }'
{  "meta": {    "status": 0,    "code": "OK",    "message": "string",    "isSuccess": true  },  "data": {    "orderItemId": "string",    "orderId": "string",    "status": "PAYMENT_WAITING",    "claimStatus": "CANCEL_REQUESTED",    "productId": "string",    "productName": "string",    "optionId": "string",    "optionName": "string",    "sellerCode": "string",    "quantity": -9007199254740991,    "unitPrice": -9007199254740991,    "discountAmount": -9007199254740991,    "totalPrice": -9007199254740991,    "hold": {      "reason": "string",      "expectedDispatchDate": "string"    },    "autoDecisionDate": "string",    "sellerMemo": "string",    "orderedAt": "string",    "lastChangedAt": "string",    "lastChangedType": "ORDER.PAID",    "testPayment": true  },  "error": null}